> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Machine Types

> Get all machine types with their per-hour price, sourced from Croesus.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/external/machine-types
openapi: 3.1.0
info:
  title: Lyceum Cloud Execution API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v2/external/machine-types:
    get:
      tags:
        - Machine Types
      summary: Get Machine Types
      description: Get all machine types with their per-hour price, sourced from Croesus.
      operationId: get_machine_types_api_v2_external_machine_types_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMachineTypesResponse'
components:
  schemas:
    SimpleMachineTypesResponse:
      properties:
        machine_types:
          items:
            $ref: '#/components/schemas/SimpleMachineType'
          type: array
          title: Machine Types
        count:
          type: integer
          title: Count
      type: object
      required:
        - machine_types
        - count
      title: SimpleMachineTypesResponse
      description: Response containing a list of simple machine types.
    SimpleMachineType:
      properties:
        hardware_profile:
          type: string
          title: Hardware Profile
        price_per_hour:
          anyOf:
            - type: number
            - type: 'null'
          title: Price Per Hour
      type: object
      required:
        - hardware_profile
      title: SimpleMachineType
      description: Simplified machine type with basic pricing info.

````